Skip to main content

ClientFieldsResponse

Response schema for multiple client fields

data object[]required

The client fields details

  • Array [
  • created_atstring<date-time>required

    When the field was created.

    descriptionstringnullable

    An optional description of the field.

    idstringrequired

    Unique identifier for the object.

    Possible values: Value must match regular expression ^cf_\w{12}$

    keystringrequired

    The machine-readable key for the field.

    labelstringrequired

    The human-readable label for the field.

    objectstringrequired

    String representing the object's type.

    Possible values: [client_field]

    options objectnullable

    Options for choice-type fields.

    anyOf
    allow_otherboolean

    Whether to allow a free-text "other" option.

    choices object[]

    The list of choices.

  • Array [
  • idstring

    Unique identifier for the choice.

    labelstringrequired

    The display label for the choice.

  • ]
  • sensitivebooleanrequired

    Whether the field contains sensitive data.

    sort_orderintegerrequired

    The sort order of the field.

    typestringrequired

    The field type.

    Possible values: [short_text, long_text, email, phone, boolean, radio, select, checkbox]

    updated_atstring<date-time>required

    When the field was last updated.

  • ]
  • ClientFieldsResponse
    {
    "data": [
    {
    "created_at": "2024-01-01T00:00:00Z",
    "description": null,
    "id": "cf_a1b2c3d4e5f6",
    "key": "company_name",
    "label": "Company Name",
    "object": "client_field",
    "options": null,
    "sensitive": false,
    "sort_order": 1,
    "type": "short_text",
    "updated_at": "2024-01-01T00:00:00Z"
    }
    ]
    }